## org.omg.CORBA
Class FloatSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.FloatSeqHelper

public class FloatSeqHelper
extends java.lang.Object

Helper class for : FloatSeq

Author:
  OpenORB Compiler

Constructor Summary
`FloatSeqHelper()`

Method Summary
`static float[]` `extract(Any a)` Extract FloatSeq from an any
`static java.lang.String` `id()` Return the FloatSeq IDL ID
`static void` `insert(Any a, float[] t)` Insert FloatSeq into an any
`static float[]` `read(InputStream istream)` Read FloatSeq from a marshalled stream
`static TypeCode` `type()` Return the FloatSeq TypeCode
`static void` `write(OutputStream ostream, float[] value)` Write FloatSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatSeqHelper

    public FloatSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              float[] t)

  Insert FloatSeq into an any
  Parameters:
    `a` - an any
    `t` - FloatSeq value

### extract

    public static float[] extract(Any a)

  Extract FloatSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted FloatSeq value

### type

    public static TypeCode type()

  Return the FloatSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the FloatSeq IDL ID
  Returns:
    an ID

### read

    public static float[] read(InputStream istream)

  Read FloatSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed FloatSeq value

### write

    public static void write(OutputStream ostream,
                             float[] value)

  Write FloatSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - FloatSeq value